Browse files

Add need to install cmake via homebrew to build qtbindings gem

  • Loading branch information...
1 parent 6ee6097 commit 153eefe4c4f3f5c5c251e2d842954a8cacd4abc8 @deadprogram deadprogram committed Sep 20, 2011
Showing with 2 additions and 1 deletion.
  1. +2 −1 README.md
View
3 README.md
@@ -49,10 +49,11 @@ You can also use the Turtle, just like Hackety-Hack does
I used the qtbindings gem: https://github.com/ryanmelt/qtbindings
Since I also run homebrew, I discovered that the homebrew install for Qt4 needed a little symlinking before I could run the gem install for qtbindings as described here: https://github.com/ryanmelt/qtbindings/issues#issue/14
-However, since Qt is now at version 4.7.3 you need to use the following instead:
+However, since Qt is now at a higher version, you need to use the following:
brew install qt
for DIR in /usr/local/Cellar/qt/*/lib/*.framework; do ln -s $DIR/Headers ${DIR%%/lib/*}/include/$(basename $DIR .framework); done
+ brew install cmake
bundle install
If you have already installed KidsRuby using the OSX installer, you will need to uninstall that Qt package before trying to install the qtbindings gem, or it will not build/install as described here https://github.com/ryanmelt/qtbindings/blob/master/README.txt.

0 comments on commit 153eefe

Please sign in to comment.